Detect Account
Check whether an account exists using one of email, phone, or sha256_email as the unique identifier.
Query Parameters
The shopper's email address is the primary mechanism for detecting an account. You must provide either a value for this parameter or for sha256_email.
The sha256 hash of the shopper's normalized email address can be used to detect an account instead of email.
The shopper's phone number. Includes country code (e.g. +1); does not include dashes or spaces. Can be used to detect an account instead of sha256_email or email.
Header Parameters
The publicly viewable identifier used to identify a merchant division. This key is found in the Developer > API section of the Bolt Merchant Dashboard.
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/account/exists" \ -H "X-Publishable-Key: string"{ "has_bolt_account": true}Edit Address PUT
Edit an existing address in a shopper's address book. This endpoint fully replaces the information for an existing address while retaining the same address ID.
Add Payment Method POST
Add a payment method to a shopper's Bolt account Wallet. For security purposes, this request must come from your backend because authentication requires the use of your private key. **Note**: Before using this API, the credit card details must be tokenized using Bolt's JavaScript library function, which is documented in [Install the Bolt Tokenizer](https://help.boltapp.com/developers/references/bolt-tokenizer).